CVE-2000-1228
CVSS5.0
发布时间 :2000-12-31 00:00:00
修订时间 :2008-09-05 16:22:58
NMCOE    

[原文]Phorum 3.0.7 allows remote attackers to change the administrator password without authentication via an HTTP request for admin.php3 that sets step, option, confirm and newPssword variables.


[CNNVD]Phorum admin.php3无需验证修改管理员口令漏洞(CNNVD-200012-199)

        
        Phorum是一款基于PHP的WEB论坛程序,可使用在Linux和Unix操作系统下,也可使用在Microsoft Windows操作系统下。
        Phorum存在一个问题,远程攻击者可以访问本地系统文件。
        admin.php3脚本用于安全和管理被创建的论坛。它带有口令保护,但存在漏洞可以无需访问权限修改管理员口令。一旦拥有了管理功能的访问权限,就可以进入"Master Setting"功能,在"default .langfile name"输入框输入想要访问的系统本地文件,重新载入admin.php3页面后就可以浏览这个文件的内容了。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-1228
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-1228
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200012-199
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/2271
(PATCH)  BID  2271
http://cert.uni-stuttgart.de/archive/bugtraq/2000/01/msg00215.html
(VENDOR_ADVISORY)  BUGTRAQ  20000106 Phorum 3.0.7 exploits and IDS signatures

- 漏洞信息

Phorum admin.php3无需验证修改管理员口令漏洞
中危 访问验证错误
2000-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        Phorum是一款基于PHP的WEB论坛程序,可使用在Linux和Unix操作系统下,也可使用在Microsoft Windows操作系统下。
        Phorum存在一个问题,远程攻击者可以访问本地系统文件。
        admin.php3脚本用于安全和管理被创建的论坛。它带有口令保护,但存在漏洞可以无需访问权限修改管理员口令。一旦拥有了管理功能的访问权限,就可以进入"Master Setting"功能,在"default .langfile name"输入框输入想要访问的系统本地文件,重新载入admin.php3页面后就可以浏览这个文件的内容了。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时使用Apache的访问控制,限制对admin.php3所在目录的访问。
        厂商补丁:
        Brian Moon
        ----------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Brian Moon Upgrade Phorum 3.2.11
        
        http://phorum.sourceforge.net/downloads/phorum-3.2.11.tar.gz

- 漏洞信息 (20586)

Phorum 3.0.7 admin.php3 Unverified Administrative Password Change Vulnerability (EDBID:20586)
php webapps
2000-01-06 Verified
0 Max Vision
N/A [点击下载]
source: http://www.securityfocus.com/bid/2271/info

Phorum is a popular, free, open source software package originally written by Brian Moon. The package is designed to add chat/bulletin board style interaction between visitors of a web site.

A problem with Phorum can allow remote users access to restricted files on the local system. This is due to the handling of passwords by the program. By sending a custom crafted string to the admin.php3 script, it's possible to change the administrative password of the board without verification of the users credentials. The "default .langname name" field in the Master settings can then be changed to any file of the users liking, which upon reload, will be output as the page. This problem makes it possible for a user with malicious motives to take control of the message board, read any file on the system, and potentially gain remote access. 

First, send the following URL to Phorum, which changes the password to flow:

http://www.example.com/admin.php3?step=4&option=pass&confirm=flow&newPssword=flow

Next, after gaining administrative access to the system, enter the "Master Settings" menu, and set the "default .langfile name" to the following:

../../../../../../../../../../../etc/passwd

This will make the contents of the /etc/passwd file viewable. 		

- 漏洞信息

20180
Phorum admin.php3 Unauthenticated Administrator Password Modification
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

- 时间线

2000-01-06 Unknow
2000-01-06 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站